Bug 479663 - Nspluginwrapper does not work with RealPlayer11GOLD
Nspluginwrapper does not work with RealPlayer11GOLD
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nspluginwrapper (Show other bugs)
10
athlon Linux
low Severity low
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-12 07:03 EST by Keith Dixon
Modified: 2009-12-18 02:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:35:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Keith Dixon 2009-01-12 07:03:49 EST
Description of problem:
I expect the developers already know this, but I thought I would report it anyway.
Nspluginwrapper does not work with the latest RealPlayer.

Version-Release number of selected component (if applicable):
nspluginwrapper-1.1.10-1.fc10.i386
RealPlayer-11.0.1.1056-20081001.i586
firefox-3.0.5-1.fc10.i386

How reproducible:
Always

Steps to Reproduce:

I am trying to view a presentation at:-
http://royalsociety.tv/dpx_royalsociety/dpx.php?dpxuser=dpx_v12

Actual results:
The Datpresenter script gives the error (I have reported this to them):-

This error is described as: 'document.getElementById(screenid).DoPlay is not a function'
ERROR CODE: Tue Jan 06 2009 19:44:42 GMT+0000 (BST)_917
In script: http://royalsociety.tv/dpx_royalsociety/js_skin_rs/player.js

and Firefox outputs:-

*** NSPlugin Viewer  *** WARNING: unhandled variable 268435466 (NPNVserviceManager) in NPN_GetValue()
*** NSPlugin Viewer  *** WARNING: unhandled variable 10 (<unknown variable>) in NPN_GetValue()
Calling realplay
playeripc: Got command Version 1
playeripc: Got command Embed id='videoscreen' name='videoscreen' src='rtsp://stream1.royalsociety.tv:554/onDemand/LFP2008_haddondusautoy_hi.rm' center='true' console='one' controls='ImageWindow' nologo='true' autostart='false' maintainaspect='true' type='audio/x-pn-realaudio-plugin' height='180' width='320' 

** (realplay.bin:2876): WARNING **: Ignoring unknown attribute id
playeripc: Got command Browser 0 'Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.9.0.5) Gecko/2008121622 Fedora/3.0.5-1.fc10 Firefox/3.0.5' 0 1
playeripc: Got command SetWindow 0 75497504 621 278 320 180 0 0 180 320 1

(realplay.bin:2876): GLib-GObject-WARNING **: gsignal.c:2267: signal `button_press_event' is invalid for instance `0x86ed1a8'

(realplay.bin:2876): GLib-GObject-WARNING **: gsignal.c:2267: signal `start_seeking' is invalid for instance `0x86ed1a8'

(realplay.bin:2876): GLib-GObject-WARNING **: gsignal.c:2267: signal `stop_seeking' is invalid for instance `0x86ed1a8'
*** NSPlugin Wrapper *** WARNING: unhandled variable 11 in NPP_GetValue()
playeripc: Got command SetWindow 0 75497504 621 278 320 180 0 0 180 320 1
playeripc: Got command SetWindow 0 75497504 621 278 320 180 0 0 180 320 1
playeripc: Got command SetWindow 0 75497504 621 278 320 180 0 0 180 320 1
playeripc: Got command SetWindow 0 75497504 621 278 320 180 0 0 180 320 1
playeripc: Got command SetWindow 0 75497504 621 278 320 180 0 0 180 320 1

and then hangs.


Expected results:


Additional info:
If I append :nphelix* to IGNORE_WRAP in /etc/sysconfig/nspluginwrapper then things work, more or less.
Comment 1 Martin Stransky 2009-01-13 09:58:52 EST
Is nspluginwrapper working with any version of RealPlayer?
Comment 2 Keith Dixon 2009-01-14 14:59:17 EST
Same problem with RealPlayer-10.0.7.785-20060201.i586

$ firefox
*** NSPlugin Viewer  *** WARNING: unhandled variable 268435466 (NPNVserviceManager) in NPN_GetValue()
*** NSPlugin Viewer  *** WARNING: unhandled variable 10 (<unknown variable>) in NPN_GetValue()
Calling realplay
playeripc: Got command Version 1
playeripc: Got command Embed id='videoscreen' name='videoscreen' src='rtsp://stream1.royalsociety.tv:554/onDemand/NFS08/NFS2008_mumford_hi.rm' center='true' console='one' controls='ImageWindow' nologo='true' autostart='false' maintainaspect='true' type='audio/x-pn-realaudio-plugin' height='180' width='320' 

** (realplay.bin:6414): WARNING **: Ignoring unknown attribute id
playeripc: Got command Browser 0 'Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.9.0.5) Gecko/2008121622 Fedora/3.0.5-1.fc10 Firefox/3.0.5' 0 1
playeripc: Got command SetWindow 0 73400352 621 278 320 180 0 0 180 320 1
*** NSPlugin Wrapper *** WARNING: unhandled variable 11 in NPP_GetValue()
playeripc: Got command SetWindow 0 73400352 621 278 320 180 0 0 180 320 1
playeripc: Got command SetWindow 0 73400352 621 278 320 180 0 0 180 320 1
playeripc: Got command SetWindow 0 73400352 621 278 320 180 0 0 180 320 1
playeripc: Got command SetWindow 0 73400352 621 278 320 180 0 0 180 320 1
playeripc: Got command SetWindow 0 73400352 621 278 320 180 0 0 180 320 1
Comment 3 Matěj Cepl 2009-02-19 04:15:41 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

First of all, could we get output of the command

	rpm -qa *xulrun* *firefox* *mozilla* *flash* *plugin*

Can we get also an output of the command

        mozilla-plugin-config -l

please?

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Keith Dixon 2009-02-19 13:25:51 EST
Response to Comment #3, needinfo?

[user@localhost ~]$ rpm -qa *xulrun* *firefox* *mozilla* *flash* *plugin*
totem-mozplugin-2.24.3-1.fc10.i386
gstreamer-plugins-ugly-0.10.10-2.fc10.i386
gstreamer-plugins-flumpegdemux-0.10.15-4.fc10.i386
PackageKit-gstreamer-plugin-0.3.14-1.fc10.i386
mozilla-filesystem-1.9-2.fc10.i386
gstreamer-plugins-bad-extras-0.10.9-1.fc10.i386
plymouth-system-plugin-0.6.0-0.2008.11.17.3.fc10.i386
gstreamer-plugins-schroedinger-1.0.5-3.fc10.i386
setroubleshoot-plugins-2.0.12-1.fc10.noarch
gstreamer-plugins-farsight-0.12.9-3.fc10.i386
nspluginwrapper-1.3.0-2.fc10.i386
plymouth-plugin-label-0.6.0-0.2008.11.17.3.fc10.i386
gstreamer-plugins-bad-0.10.9-1.fc10.i386
anaconda-yum-plugins-1.0-3.fc10.noarch
flash-plugin-10.0.15.3-release.i386
xulrunner-1.9.0.6-1.fc10.i386
java-1.6.0-openjdk-plugin-1.6.0.0-9.b14.fc10.i386
xulrunner-devel-1.9.0.6-1.fc10.i386
PackageKit-yum-plugin-0.3.14-1.fc10.i386
gedit-plugins-2.22.3-2.fc10.i386
alsa-plugins-pulseaudio-1.0.18-2.fc10.i386
gstreamer-plugins-good-0.10.11-4.fc10.i386
gstreamer-plugins-base-0.10.21-2.fc10.i386
plymouth-plugin-solar-0.6.0-0.2008.11.17.3.fc10.i386
firefox-3.0.6-1.fc10.i386
[user@localhost ~]$ mozilla-plugin-config -l
EXCLUDE_WRAP:
libtotem*
libjavaplugin*
gecko-mediaplayer*
mplayerplug-in*
librhythmbox*
nphelix*
EXCLUDE_LINK:

File/Link /usr/lib/mozilla/plugins-wrapped/libtotem-basic-plugin.so
File/Link /usr/lib/mozilla/plugins-wrapped/libjavaplugin.so
File/Link /usr/lib/mozilla/plugins-wrapped/libtotem-mully-plugin.so
File/Link /usr/lib/mozilla/plugins-wrapped/libtotem-cone-plugin.so
File/Link /usr/lib/mozilla/plugins-wrapped/libtotem-gmp-plugin.so
File/Link /usr/lib/mozilla/plugins-wrapped/nphelix.xpt
/usr/lib/mozilla/plugins-wrapped/nswrapper_32_32.libflashplayer.so
  Original plugin: /usr/lib/mozilla/plugins/libflashplayer.so
  Wrapper version string: X (1.3.0)
File/Link /usr/lib/mozilla/plugins-wrapped/nphelix.so
File/Link /usr/lib/mozilla/plugins-wrapped/librhythmbox-itms-detection-plugin.so
File/Link /usr/lib/mozilla/plugins-wrapped/libtotem-narrowspace-plugin.so
[user@localhost ~]$
Comment 5 Matěj Cepl 2009-02-19 15:38:22 EST
This looks suspicious -- how come nphelix.{so,xpt} is wrapped? Martin?
Comment 6 Martin Stransky 2009-02-21 01:38:46 EST
AS for the list all plugins except flash are linked, not wrapped.
Comment 7 Keith Dixon 2009-11-05 15:01:41 EST
Problem persists on Fedora 11 with:-

firefox-3.5.4-1.fc11.i586
RealPlayer-11.0.1.1056-20081001.i586
nspluginwrapper-1.3.0-6.fc11.i586

Workaround of appending :nphelix* to IGNORE_WRAP in /etc/sysconfig/nspluginwrapper still works.
Comment 8 Bug Zapper 2009-11-18 07:43:32 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-12-18 02:35:18 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.